Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
BedrockMission!

Learn More

View all

Sign in to view all badges

UnarchiverProcess Deprecated Inheritance Feature

Avatar

Avatar
Validate 1
Level 1
mknightizotope
Level 1

Likes

0 likes

Total Posts

2 posts

Correct Reply

0 solutions
Top badges earned
Validate 1
View profile

Avatar
Validate 1
Level 1
mknightizotope
Level 1

Likes

0 likes

Total Posts

2 posts

Correct Reply

0 solutions
Top badges earned
Validate 1
View profile
mknightizotope
Level 1

21-07-2017

Hi, we have a class that inherits from UnarchiverProcess:

public class htmlAssetProcessD extends UnarchiverProcess {

And we've started seeing these warnings:

[WARNING] C:\Users\mknight\Documents\izotope-frontpage-aem\core\src\main\java\com\izotope\core\workflow\htmlAssetProcess.java [1:1]:  Component com.izotope.core.workflow.htmlAssetProcess is using the deprecated inheritance feature and inherits from com.day.cq.dam.core.process.UnarchiverProcess. This feature will be removed in future versions.


[WARNING] C:\Users\mknight\Documents\izotope-frontpage-aem\core\src\main\java\com\izotope\core\workflow\htmlAssetProcess.java [1:1]:  Component com.izotope.core.workflow.htmlAssetProcess is using the deprecated inheritance feature and inherits from com.day.cq.dam.core.process.UnarchiverProcess. This feature will be removed in future versions.

If someone could let me know how this feature should be implemented instead now, I'd really appreciate it. Thanks.

View Entire Topic

Avatar

Avatar
Boost 5
Level 4
zeeshank1500736
Level 4

Likes

29 likes

Total Posts

103 posts

Correct Reply

33 solutions
Top badges earned
Boost 5
Boost 3
Boost 25
Boost 10
Boost 1
View profile

Avatar
Boost 5
Level 4
zeeshank1500736
Level 4

Likes

29 likes

Total Posts

103 posts

Correct Reply

33 solutions
Top badges earned
Boost 5
Boost 3
Boost 25
Boost 10
Boost 1
View profile
zeeshank1500736
Level 4

21-07-2017

hi

try after removing the version or check the dependency in your AEM in dependency finder in cponsole.